PHP Manual
Prev |  | Next

# XSLTProcessor::transformToXML

(no version information, might be only in CVS)

XSLTProcessor::transformToXML -- Transform to XML

## Description

class XSLTProcessor {
string transformToXML ( DOMDocument doc )
}

Transforms the source node to a string applying the stylesheet given by the XSLTProcessor::importStylesheet method.

## Parameters

`doc`

  The transformed document.

## Return Values

The result of the transformation as a string or `FALSE` on error.

## Examples

Example 1. Transforming to a string

`<?php // Load the XML source $xml = new DOMDocument; $xml->load('collection.xml'); $xsl = new DOMDocument; $xsl->load('collection.xsl'); // Configure the transformer $proc = new XSLTProcessor; $proc->importStyleSheet($xsl); // attach the xsl rules echo $proc->transformToXML($xml); ?>`

The above example will output:

    Hey! Welcome to Nicolas Eliaszewicz's sweet CD collection!

    <h1>Fight for your mind</h1><h2>by Ben Harper - 1995</h2><hr>
    <h1>Electric Ladyland</h1><h2>by Jimi Hendrix - 1997</h2><hr>

## See Also

XSLTProcessor::transformToDoc
XSLTProcessor::transformToURI

Prev | Home | Next
XSLTProcessor::transformToURI | Up | XSLT Functions